
QGIS Application - Bug report #14183

Red channel ignored in freshly loaded raster file

2016-01-27 08:30 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22185

Description

If I load rasters sometimes the Red-channel is not shown.

Debian Testing, QGIS Master and 2.8, self compiled here

If I load the attached jpg file (an old map scan/image), it shows up greenish (as in My greenish map)...

Opening the properties of the file then, and going to style, I see render type: Multiband color, but

Red band is 'Not set'.

Setting it to Band 1 (Red) and my image shows up normal again.

Not sure what it is, I first thought it was my image, but now I have it with all images I load.

Below is gdalinfo of the attached image. Which also sees normal RGB bands??

It looks like it misses a channel at first or so?

gdalinfo van-deventer-1560.jpg 

Driver: JPEG/JPEG JFIF

Files: van-deventer-1560.jpg

Size is 1624, 1549

Coordinate System is `'

Metadata:

  EXIF_ComponentsConfiguration=0x1 0x2 0x3 00

  EXIF_DateTime=2014:07:03 20:33:10

  EXIF_DateTimeDigitized=2014/07/03 20:27:36

  EXIF_DateTimeOriginal=2014:07:03 20:33:10

  EXIF_ExifVersion=0221

  EXIF_FlashpixVersion=0100

  EXIF_Make=Canon

  EXIF_Model=Canon MG3500 series Network

  EXIF_Orientation=1

  EXIF_PixelXDimension=1624

  EXIF_PixelYDimension=1549

  EXIF_ResolutionUnit=2

  EXIF_Software=My Image Garden

  EXIF_XResolution=(300)

  EXIF_YCbCrPositioning=1

  EXIF_YResolution=(300)

Image Structure Metadata:

  COMPRESSION=JPEG
  INTERLEAVE=PIXEL

  SOURCE_COLOR_SPACE=YCbCr

Corner Coordinates:

Upper Left  (    0.0,    0.0)

Lower Left  (    0.0, 1549.0)

Upper Right ( 1624.0,    0.0)

Lower Right ( 1624.0, 1549.0)

Center      (  812.0,  774.5)

Band 1 Block=1624x1 Type=Byte, ColorInterp=Red

  Overviews: 812x775, 406x388, 203x194

  Image Structure Metadata:

    COMPRESSION=JPEG

Band 2 Block=1624x1 Type=Byte, ColorInterp=Green

  Overviews: 812x775, 406x388, 203x194

  Image Structure Metadata:

    COMPRESSION=JPEG

Band 3 Block=1624x1 Type=Byte, ColorInterp=Blue

  Overviews: 812x775, 406x388, 203x194

  Image Structure Metadata:

    COMPRESSION=JPEG

History

#1 - 2016-01-27 08:31 AM - Richard Duivenvoorde

- File van-deventer-1560.jpg added

- File greenish.png added

#2 - 2016-01-27 09:26 AM - Nyall Dawson

- Assignee set to Nyall Dawson

#3 - 2016-02-03 09:44 PM - Nyall Dawson

- Status changed from Open to Feedback

How often can you trigger this? Can you screenshot your raster settings from options?

#4 - 2016-02-05 03:34 AM - Richard Duivenvoorde

- File Options___Rendering_025.png added

Hi Nyall, thanks for taking this.

It was 100% triggered, BUT... starting QGIS with a 100% fresh configuration with 

qgis --config-path /tmp

it was ok...

Which make me look into the settings, and I found that in the 'Rendering' part I had apparently a 5 in the RGB bad selection... 

Not sure where I got this one from though...

Is it possible to have a 5 there (for RGB) anyway?

2025-04-27 2/3



Anyway, not an issue (anymore), will close it.

#5 - 2016-02-05 03:34 AM - Richard Duivenvoorde

- Status changed from Feedback to Closed

Files

greenish.png 720 KB 2016-01-27 Richard Duivenvoorde

van-deventer-1560.jpg 2.5 MB 2016-01-27 Richard Duivenvoorde

Options___Rendering_025.png 121 KB 2016-02-05 Richard Duivenvoorde
